Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::StartupOptions Struct Reference

Options used to start up the server. More...

`#include <ImplRepoC.h>`

Collaboration diagram for ImplementationRepository::StartupOptions:

[legend]
List of all members.

## Public Types
typedef StartupOptions_var | _var_type
## Public Methods
| ACE_NESTED_CLASS (ImplementationRepository, EnvironmentList) environment
| ACE_NESTED_CLASS (ImplementationRepository, ActivationMode) activation
## Static Public Methods
void | _tao_any_destructor (void *)
## Public Attributes
string | command_line
| Startup command (program name and arguments). More...
EnvironmentList | environment
| Environment Variables. More...
string | working_directory
| Working directory. More...
ActivationMode | activation
| Activation Mode. More...
string | location
| Location of the activator. More...
TAO_String_Manager | command_line
TAO_String_Manager | working_directory
TAO_String_Manager | location

## Detailed Description

Options used to start up the server.

## Member Typedef Documentation

typedef StartupOptions_var ImplementationRepository::StartupOptions::_var_type

## Member Function Documentation

void ImplementationRepository::StartupOptions::_tao_any_destructor | ( | void * |  | ) | `[static]`

ImplementationRepository::StartupOptions::ACE_NESTED_CLASS | ( | ImplementationRepository | ,
|  | ActivationMode |
| ) |

ImplementationRepository::StartupOptions::ACE_NESTED_CLASS | ( | ImplementationRepository | ,
|  | EnvironmentList |
| ) |

## Member Data Documentation

ActivationMode ImplementationRepository::StartupOptions::activation

| Activation Mode.

TAO_String_Manager ImplementationRepository::StartupOptions::command_line

string ImplementationRepository::StartupOptions::command_line

| Startup command (program name and arguments).

EnvironmentList ImplementationRepository::StartupOptions::environment

| Environment Variables.

TAO_String_Manager ImplementationRepository::StartupOptions::location

string ImplementationRepository::StartupOptions::location

| Location of the activator.

TAO_String_Manager ImplementationRepository::StartupOptions::working_directory

string ImplementationRepository::StartupOptions::working_directory

| Working directory.

The documentation for this struct was generated from the following files:

- ImplRepo.pidl
- ImplRepoC.h